com.google.cloud.dataflow.sdk.transforms.windowing

## Interface TriggerBuilder<W extends BoundedWindow>

Type Parameters:
  `W` - The type of windows the built trigger will operate on.

All Known Subinterfaces:
  AfterWatermark.AfterWatermarkEarly<W>, AfterWatermark.AfterWatermarkLate<W>

All Known Implementing Classes:
  AfterAll, AfterDelayFromFirstElement, AfterEach, AfterFirst, AfterPane, AfterProcessingTime, AfterWatermark.FromEndOfWindow, DefaultTrigger, Repeatedly, Trigger, Trigger.OnceTrigger

    public interface TriggerBuilder<W extends BoundedWindow>

Anything that can be used to create an instance of a `Trigger` implements this interface.

This includes `Trigger`s (which can return themselves) and any "enhanced" syntax for constructing a trigger.

### Method Summary

All Methods Instance Methods Abstract Methods
`Trigger<W>` `buildTrigger()` Return the `Trigger` built by this builder.

### Method Detail

#### buildTrigger

    Trigger<W> buildTrigger()

Return the `Trigger` built by this builder.